# -*- encoding: utf-8 -*-
# stub: packaging 0.99.80 ruby lib

Gem::Specification.new do |s|
  s.name = "packaging".freeze
  s.version = "0.99.80"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Puppet Labs".freeze]
  s.date = "2023-04-21"
  s.description = "Packaging automation written in Rake and Ruby. Easily build native packages for most platforms with a few data files and git.".freeze
  s.email = "info@puppetlabs.com".freeze
  s.files = ["LICENSE".freeze, "README-Solaris.md".freeze, "README.md".freeze, "lib/packaging.rb".freeze, "lib/packaging/archive.rb".freeze, "lib/packaging/artifactory.rb".freeze, "lib/packaging/artifactory/extensions.rb".freeze, "lib/packaging/config.rb".freeze, "lib/packaging/config/params.rb".freeze, "lib/packaging/config/validations.rb".freeze, "lib/packaging/deb.rb".freeze, "lib/packaging/deb/repo.rb".freeze, "lib/packaging/gem.rb".freeze, "lib/packaging/metrics.rb".freeze, "lib/packaging/nuget.rb".freeze, "lib/packaging/paths.rb".freeze, "lib/packaging/platforms.rb".freeze, "lib/packaging/repo.rb".freeze, "lib/packaging/retrieve.rb".freeze, "lib/packaging/rpm.rb".freeze, "lib/packaging/rpm/repo.rb".freeze, "lib/packaging/sign.rb".freeze, "lib/packaging/sign/deb.rb".freeze, "lib/packaging/sign/dmg.rb".freeze, "lib/packaging/sign/ips.rb".freeze, "lib/packaging/sign/msi.rb".freeze, "lib/packaging/sign/rpm.rb".freeze, "lib/packaging/tar.rb".freeze, "lib/packaging/util.rb".freeze, "lib/packaging/util/date.rb".freeze, "lib/packaging/util/execution.rb".freeze, "lib/packaging/util/file.rb".freeze, "lib/packaging/util/git.rb".freeze, "lib/packaging/util/git_tags.rb".freeze, "lib/packaging/util/gpg.rb".freeze, "lib/packaging/util/jenkins.rb".freeze, "lib/packaging/util/misc.rb".freeze, "lib/packaging/util/net.rb".freeze, "lib/packaging/util/os.rb".freeze, "lib/packaging/util/platform.rb".freeze, "lib/packaging/util/rake_utils.rb".freeze, "lib/packaging/util/serialization.rb".freeze, "lib/packaging/util/ship.rb".freeze, "lib/packaging/util/tool.rb".freeze, "lib/packaging/util/version.rb".freeze, "spec/fixtures/config/ext/build_defaults.yaml".freeze, "spec/fixtures/config/ext/project_data.yaml".freeze, "spec/fixtures/configs/components/test_file.json".freeze, "spec/fixtures/configs/components/test_file_2.json".freeze, "spec/fixtures/configs/components/test_file_not_tagged.json".freeze, "spec/fixtures/configs/components/test_file_wrong_ext.txt".freeze, "spec/fixtures/configs/components/test_file_wrong_ext.wrong".freeze, "spec/fixtures/util/pre_tasks.yaml".freeze, "spec/lib/packaging/artifactory_spec.rb".freeze, "spec/lib/packaging/config_spec.rb".freeze, "spec/lib/packaging/deb/repo_spec.rb".freeze, "spec/lib/packaging/deb_spec.rb".freeze, "spec/lib/packaging/gem_spec.rb".freeze, "spec/lib/packaging/paths_spec.rb".freeze, "spec/lib/packaging/platforms_spec.rb".freeze, "spec/lib/packaging/repo_spec.rb".freeze, "spec/lib/packaging/retrieve_spec.rb".freeze, "spec/lib/packaging/rpm/repo_spec.rb".freeze, "spec/lib/packaging/sign_spec.rb".freeze, "spec/lib/packaging/tar_spec.rb".freeze, "spec/lib/packaging/util/execution_spec.rb".freeze, "spec/lib/packaging/util/file_spec.rb".freeze, "spec/lib/packaging/util/git_spec.rb".freeze, "spec/lib/packaging/util/git_tag_spec.rb".freeze, "spec/lib/packaging/util/gpg_spec.rb".freeze, "spec/lib/packaging/util/jenkins_spec.rb".freeze, "spec/lib/packaging/util/misc_spec.rb".freeze, "spec/lib/packaging/util/net_spec.rb".freeze, "spec/lib/packaging/util/os_spec.rb".freeze, "spec/lib/packaging/util/rake_utils_spec.rb".freeze, "spec/lib/packaging/util/ship_spec.rb".freeze, "spec/lib/packaging/util/version_spec.rb".freeze, "spec/lib/packaging_spec.rb".freeze, "spec/spec_helper.rb".freeze, "static_artifacts/PackageInfo.plist".freeze, "tasks/00_utils.rake".freeze, "tasks/30_metrics.rake".freeze, "tasks/apple.rake".freeze, "tasks/archive.rake".freeze, "tasks/build.rake".freeze, "tasks/clean.rake".freeze, "tasks/config.rake".freeze, "tasks/deb.rake".freeze, "tasks/deb_repos.rake".freeze, "tasks/deprecated.rake".freeze, "tasks/doc.rake".freeze, "tasks/education.rake".freeze, "tasks/fetch.rake".freeze, "tasks/gem.rake".freeze, "tasks/jenkins.rake".freeze, "tasks/jenkins_dynamic.rake".freeze, "tasks/load_extras.rake".freeze, "tasks/mock.rake".freeze, "tasks/nightly_repos.rake".freeze, "tasks/pe_deb.rake".freeze, "tasks/pe_rpm.rake".freeze, "tasks/pe_ship.rake".freeze, "tasks/pe_sign.rake".freeze, "tasks/pe_tar.rake".freeze, "tasks/retrieve.rake".freeze, "tasks/rpm.rake".freeze, "tasks/rpm_repos.rake".freeze, "tasks/ship.rake".freeze, "tasks/sign.rake".freeze, "tasks/tag.rake".freeze, "tasks/tar.rake".freeze, "tasks/update.rake".freeze, "tasks/vanagon.rake".freeze, "tasks/vendor_gems.rake".freeze, "tasks/version.rake".freeze, "tasks/z_data_dump.rake".freeze, "templates/README".freeze, "templates/downstream.xml.erb".freeze, "templates/msi.xml.erb".freeze, "templates/packaging.xml.erb".freeze, "templates/repo.xml.erb".freeze]
  s.homepage = "http://github.com/puppetlabs/packaging".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Puppet Labs' packaging automation".freeze
  s.test_files = ["spec/lib/packaging/artifactory_spec.rb".freeze, "spec/lib/packaging/config_spec.rb".freeze, "spec/lib/packaging/deb/repo_spec.rb".freeze, "spec/lib/packaging/deb_spec.rb".freeze, "spec/lib/packaging/gem_spec.rb".freeze, "spec/lib/packaging/paths_spec.rb".freeze, "spec/lib/packaging/platforms_spec.rb".freeze, "spec/lib/packaging/repo_spec.rb".freeze, "spec/lib/packaging/retrieve_spec.rb".freeze, "spec/lib/packaging/rpm/repo_spec.rb".freeze, "spec/lib/packaging/sign_spec.rb".freeze, "spec/lib/packaging/tar_spec.rb".freeze, "spec/lib/packaging/util/execution_spec.rb".freeze, "spec/lib/packaging/util/file_spec.rb".freeze, "spec/lib/packaging/util/git_spec.rb".freeze, "spec/lib/packaging/util/git_tag_spec.rb".freeze, "spec/lib/packaging/util/gpg_spec.rb".freeze, "spec/lib/packaging/util/jenkins_spec.rb".freeze, "spec/lib/packaging/util/misc_spec.rb".freeze, "spec/lib/packaging/util/net_spec.rb".freeze, "spec/lib/packaging/util/os_spec.rb".freeze, "spec/lib/packaging/util/rake_utils_spec.rb".freeze, "spec/lib/packaging/util/ship_spec.rb".freeze, "spec/lib/packaging/util/version_spec.rb".freeze, "spec/lib/packaging_spec.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<rspec>.freeze, ["< 4"])
    s.add_development_dependency(%q<rubocop>.freeze, ["< 2"])
    s.add_development_dependency(%q<pry>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<rake>.freeze, ["< 14"])
    s.add_runtime_dependency(%q<artifactory>.freeze, ["< 4"])
    s.add_runtime_dependency(%q<release-metrics>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<csv>.freeze, [">= 3.1.5"])
  else
    s.add_dependency(%q<rspec>.freeze, ["< 4"])
    s.add_dependency(%q<rubocop>.freeze, ["< 2"])
    s.add_dependency(%q<pry>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, ["< 14"])
    s.add_dependency(%q<artifactory>.freeze, ["< 4"])
    s.add_dependency(%q<release-metrics>.freeze, [">= 0"])
    s.add_dependency(%q<csv>.freeze, [">= 3.1.5"])
  end
end
